### Method

# Gdk TextureDownloader set_color_state

since: 4.16

#### Declaration [src]

    void
    gdk_texture_downloader_set_color_state (
      GdkTextureDownloader* self,
      GdkColorState* color_state
    )

#### Description [src]

Sets the color state the downloader will convert the data to.

By default, the sRGB colorstate returned by `gdk_color_state_get_srgb()` is used.

Available since: 4.16

#### Parameters

`color_state`

  Type: `GdkColorState`

  The color state to use.

  The data is owned by the caller of the method.